diff -Naur nagios-3.2.3.old/daemon-init.in nagios-3.2.3/daemon-init.in
--- nagios-3.2.3.old/daemon-init.in	2008-11-30 18:22:58.000000000 +0100
+++ nagios-3.2.3/daemon-init.in	2011-03-07 16:51:47.000000000 +0100
@@ -116,22 +116,30 @@
     echo "Configuration file $NagiosCfgFile not found.  Exiting."
     exit 1
 fi
-          
+
+# Quick start function, that does not check paths, used when configuration has already been checked.
+quickstart() {
+	echo -n "Starting nagios:"
+	su - $NagiosUser -c "touch $NagiosVarDir/nagios.log $NagiosRetentionFile"
+	rm -f $NagiosCommandFile
+	touch $NagiosRunFile
+	chown $NagiosUser:$NagiosGroup $NagiosRunFile
+	#do not run coufig checks : they must have been done previously
+	$NagiosBin -x -d $NagiosCfgFile
+	retcode=$?
+	if [ -d $NagiosLockDir ]; then touch $NagiosLockDir/$NagiosLockFile; fi
+	echo " done."
+	exit $retcode
+}
+
+         
 # See how we were called.
 case "$1" in
 
 	start)
-		echo -n "Starting nagios:"
 		$NagiosBin -v $NagiosCfgFile > /dev/null 2>&1;
 		if [ $? -eq 0 ]; then
-			su - $NagiosUser -c "touch $NagiosVarDir/nagios.log $NagiosRetentionFile"
-			rm -f $NagiosCommandFile
-			touch $NagiosRunFile
-			chown $NagiosUser:$NagiosGroup $NagiosRunFile
-			$NagiosBin -d $NagiosCfgFile
-			if [ -d $NagiosLockDir ]; then touch $NagiosLockDir/$NagiosLockFile; fi
-			echo " done."
-			exit 0
+			quickstart
 		else
 			echo "CONFIG ERROR!  Start aborted.  Check your Nagios configuration."
 			exit 1
@@ -190,7 +198,7 @@
 		if [ $? -eq 0 ]; then
 			echo "done."
 			$0 stop
-			$0 start
+			quickstart
 		else
 			echo " CONFIG ERROR!  Restart aborted.  Check your Nagios configuration."
 			exit 1
@@ -212,7 +220,7 @@
 					echo "done"
 				else
 					$0 stop
-					$0 start
+					quickstart
 				fi
 			fi
 		else
